{
  "name": "@matrixai/quic",
  "version": "1.2.10",
  "author": "Matrix AI",
  "contributors": [
    {
      "name": "Roger Qiu"
    },
    {
      "name": "Brian Botha"
    }
  ],
  "description": "QUIC",
  "license": "Apache-2.0",
  "repository": {
    "type": "git",
    "url": "https://github.com/MatrixAI/js-quic.git"
  },
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "napi": {
    "name": "quic"
  },
  "scripts": {
    "prepare": "tsc -p ./tsconfig.build.json",
    "prebuild": "node ./scripts/prebuild.js",
    "build": "shx rm -rf ./dist && tsc -p ./tsconfig.build.json",
    "version": "node ./scripts/version.js",
    "prepublishOnly": "node ./scripts/prepublishOnly.js",
    "ts-node": "ts-node",
    "test": "jest",
    "lint": "eslint '{src,tests,scripts}/**/*.{js,ts,json}' 'benches/**/*.{js,ts}'",
    "lintfix": "eslint '{src,tests,scripts}/**/*.{js,ts,json}' 'benches/**/*.{js,ts}' --fix",
    "lint-shell": "find ./src ./tests ./scripts -type f -regextype posix-extended -regex '.*\\.(sh)' -exec shellcheck {} +",
    "docs": "shx rm -rf ./docs && typedoc --gitRevision master --tsconfig ./tsconfig.build.json --out ./docs src",
    "bench": "npm run prebuild -- --production && rimraf ./benches/results && ts-node ./benches"
  },
  "dependencies": {
    "@matrixai/async-cancellable": "^1.1.1",
    "@matrixai/async-init": "^1.10.0",
    "@matrixai/async-locks": "^4.0.0",
    "@matrixai/contexts": "^1.2.0",
    "@matrixai/errors": "^1.2.0",
    "@matrixai/events": "^3.2.3",
    "@matrixai/logger": "^3.1.2",
    "@matrixai/resources": "^1.1.5",
    "@matrixai/timer": "^1.1.3",
    "ip-num": "^1.5.0"
  },
  "optionalDependencies": {
    "@matrixai/quic-darwin-arm64": "1.2.10",
    "@matrixai/quic-darwin-universal": "1.2.10",
    "@matrixai/quic-darwin-x64": "1.2.10",
    "@matrixai/quic-linux-x64": "1.2.10",
    "@matrixai/quic-win32-x64": "1.2.10"
  },
  "devDependencies": {
    "@fast-check/jest": "^1.1.0",
    "@napi-rs/cli": "^2.15.2",
    "@noble/ed25519": "^1.7.3",
    "@peculiar/asn1-pkcs8": "^2.3.0",
    "@peculiar/asn1-schema": "^2.3.0",
    "@peculiar/asn1-x509": "^2.3.0",
    "@peculiar/webcrypto": "^1.4.3",
    "@peculiar/x509": "^1.8.3",
    "@swc/core": "1.3.82",
    "@swc/jest": "^0.2.29",
    "@types/jest": "^29.5.2",
    "@types/node": "^20.5.7",
    "@typescript-eslint/eslint-plugin": "^5.61.0",
    "@typescript-eslint/parser": "^5.61.0",
    "benny": "^3.7.1",
    "common-tags": "^1.8.2",
    "eslint": "^8.44.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-prettier": "^5.0.0-alpha.2",
    "fast-check": "^3.0.1",
    "jest": "^29.6.2",
    "jest-extended": "^4.0.0",
    "jest-junit": "^16.0.0",
    "prettier": "^3.0.0",
    "semver": "^7.3.7",
    "shx": "^0.3.4",
    "sodium-native": "^3.4.1",
    "systeminformation": "^5.18.5",
    "ts-jest": "^29.1.1",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^3.9.0",
    "typedoc": "^0.24.8",
    "typescript": "^5.1.6"
  }
}
